$regfile = "attiny2313.dat"
$crystal = 10000000
'Author: Rodman
'You can freely use or modify this code.
'
'CLEAR, will clear the OC1X pin
'TOGGLE, will toggle the OC1X pin
'CLEAR TIMER will clear the timer on a compare A match
'
'Calculate IR LED frequency to match IR detector frequency:
'
'                         Crystal Frequency (Hz)         10000000    10000000
' Compare1=Compare1b=-------------------------------- = --------- = -------- = 125
'                      IR Receiver Frequency(Hz) * 2     40000 * 2    80000
'
'                                                  8000000
' For 8MHz crystal and 38kHz receiver it will be ---------- = 105
'                                                  38000*2
'

Compare1a = 125
Compare1b = 125

'LEFT irLED driver
Config Pinb.3 = Output

'RIGHT irLED driver
Config Pinb.4 = Output

'RECEIVER OUTPUT
Config Pinb.0 = Input

'LEFT DETECT
Config Pind.5 = Output

'RIGHT DETECT
Config Pind.4 = Output

Dim Led_on As Byte
Dim Led_off As Byte
Dim I As Byte


Do



L_ir:

   Led_on = 0
   Led_off = 0

   For I = 1 To 50

      'blink LEFT irLED
      Config Timer1 = Timer , Prescale = 1 , Compare A = Toggle , Compare B = Clear , Clear Timer = 1
      Waitus 600
      Led_on = Led_on + Pinb.0

      'ALL TURN OFF
      Config Timer1 = Timer , Prescale = 1 , Compare A = Clear , Compare B = Clear , Clear Timer = 1
      Waitus 600
      Led_off = Led_off + Pinb.0

   Next I

   If Led_on = 0 And Led_off = 50 Then
      Portd.5 = 1
      Else
      Portd.5 = 0
   End If


R_ir:

   Led_on = 0
   Led_off = 0

   For I = 1 To 50

      'blink RIGHT irLED
      Config Timer1 = Timer , Prescale = 1 , Compare A = Clear , Compare B = Toggle , Clear Timer = 1
      Waitus 600
      Led_on = Led_on + Pinb.0

      'ALL TURN OFF
      Config Timer1 = Timer , Prescale = 1 , Compare A = Clear , Compare B = Clear , Clear Timer = 1
      Waitus 600
      Led_off = Led_off + Pinb.0

   Next I

   If Led_on = 0 And Led_off = 50 Then
      Portd.4 = 1
      Else
      Portd.4 = 0
   End If



Loop